"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const error_custom_1 = __importDefault(require("@packt/error-custom"));
/**
 * Parsing a JSON string
 *
 * @param {string} jsonString
 * The JSON string
 *
 * @param {number} [statusCode]
 * The status code to be passed to ErrorCustom
 *
 * @param {number} [errorCode]
 * The error code to be passed to ErrorCustom
 *
 * @return {Promise<object,ErrorCustom>}
 * Returns the parsed object or an ErrorCustom
 */
exports.default = (jsonString, statusCode = 400, errorCode = 1000300) => new Promise((resolve, reject) => {
    try {
        const jsonObject = typeof jsonString === 'string'
            ? JSON.parse(jsonString)
            : jsonString;
        return resolve(jsonObject);
    }
    catch (e) {
        return reject(new error_custom_1.default('Invalid json input', statusCode, errorCode));
    }
});
//# sourceMappingURL=jsonParse.js.map